Skip to content

Client Profile

Total endpoints: 1 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER

Get Profile

  • Endpoint: /api/v2/profile/
  • Function: Get profile.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/profile/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/profile/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "message": "profile",
  "client_id": "ab12cd34",
  "access_level": "USER"
}